import * as React from 'react';

// tslint:disable-next-line:no-any
const SvgComponent = (props: any) => (
	<svg viewBox="0 0 40 40" {...props}>
		<path d="M7.67 12.25v16c3.55 0 5.33-1.78 7.7-1.78a6.52 6.52 0 0 1 3.63 1.3v-16a6.52 6.52 0 0 0-3.63-1.3c-2.37 0-4.15 1.78-7.7 1.78zm9.93 12.29a.68.68 0 0 1-.9.3c-1.29-.64-2.42-.13-3.73.47a7.94 7.94 0 0 1-3.3.94.67.67 0 1 1 0-1.34 6.75 6.75 0 0 0 2.74-.82c1.42-.64 3-1.37 4.89-.44a.66.66 0 0 1 .3.89zm0-3.55a.68.68 0 0 1-.9.3c-1.29-.65-2.42-.13-3.73.46a7.94 7.94 0 0 1-3.3.94.67.67 0 1 1 0-1.33 6.75 6.75 0 0 0 2.74-.82c1.42-.65 3-1.38 4.89-.45a.68.68 0 0 1 .3.91zm0-3.56a.68.68 0 0 1-.9.3c-1.29-.64-2.42-.13-3.73.46a7.8 7.8 0 0 1-3.3.94.66.66 0 0 1-.67-.66.67.67 0 0 1 .67-.67 6.75 6.75 0 0 0 2.74-.8c1.42-.64 3-1.37 4.89-.44a.66.66 0 0 1 .3.87zm0-3.55a.68.68 0 0 1-.9.3c-1.29-.65-2.42-.14-3.73.46a7.94 7.94 0 0 1-3.3.94.67.67 0 0 1-.67-.67.66.66 0 0 1 .67-.66 6.75 6.75 0 0 0 2.74-.82c1.42-.65 3-1.38 4.89-.45a.68.68 0 0 1 .3.9zM0 0v40h40V0zm33 28.25a1.34 1.34 0 0 1-1.33 1.33 13.63 13.63 0 0 1-5.13-1.11A7.47 7.47 0 0 0 24 27.8c-.63 0-1.69.16-3.49 1.51a1.33 1.33 0 0 1-.8.27 1.31 1.31 0 0 1-.8-.27C17.06 28 16 27.8 15.37 27.8a7.47 7.47 0 0 0-2.58.67 13.62 13.62 0 0 1-5.12 1.11 1.34 1.34 0 0 1-1.34-1.33v-16a1.34 1.34 0 0 1 1.34-1.34 11 11 0 0 0 4.17-.91 9.64 9.64 0 0 1 3.53-.85 7.78 7.78 0 0 1 4.3 1.49A7.72 7.72 0 0 1 24 9.13a9.64 9.64 0 0 1 3.53.85 11 11 0 0 0 4.18.93A1.34 1.34 0 0 1 33 12.25zM20.33 11.77v16a6.55 6.55 0 0 1 3.67-1.3c2.37 0 4.15 1.78 7.71 1.78v-16c-3.56 0-5.34-1.78-7.71-1.78a6.55 6.55 0 0 0-3.67 1.3zm9.34 14.48a7.86 7.86 0 0 1-3.3-.94c-1.31-.6-2.45-1.11-3.74-.47a.66.66 0 0 1-.89-.3.66.66 0 0 1 .3-.89c1.86-.93 3.46-.2 4.88.44a6.8 6.8 0 0 0 2.75.82.67.67 0 0 1 0 1.34zm0-3.56a7.86 7.86 0 0 1-3.3-.94c-1.31-.59-2.45-1.11-3.74-.46a.67.67 0 0 1-.59-1.2c1.86-.93 3.46-.2 4.88.45a6.8 6.8 0 0 0 2.75.82.67.67 0 0 1 0 1.33zm0-3.56a7.71 7.71 0 0 1-3.3-.94c-1.31-.59-2.45-1.11-3.74-.46a.66.66 0 0 1-.89-.3.66.66 0 0 1 .3-.89c1.86-.93 3.46-.2 4.88.44a6.8 6.8 0 0 0 2.75.82.66.66 0 0 1 .66.67.65.65 0 0 1-.66.66zm-2.75-5.7a6.8 6.8 0 0 0 2.75.82.65.65 0 0 1 .66.66.66.66 0 0 1-.66.67 7.86 7.86 0 0 1-3.3-.94c-1.31-.6-2.45-1.11-3.74-.46A.67.67 0 0 1 22 13c1.9-.95 3.5-.22 4.92.43z" />
	</svg>
);

export default SvgComponent;
